package discovery

import (
	"fmt"
	"git.loafle.net/overflow/overflow_probe/discovery/core/scan/zone"
	"sync"
	"testing"
)

func TestDiscoverHost(t *testing.T) {

	// todo zone생성 추후 변경 필요
	zone := zone.NewZone()
	var wg sync.WaitGroup
	DiscoveryHost(zone, &wg, false)
	wg.Wait()

	m := zone.Hosts_
	for k := range m {
		fmt.Println(k)
	}

}
